### Method

# GtkSource View get_gutter

#### Declaration [src]

    GtkSourceGutter*
    gtk_source_view_get_gutter (
      GtkSourceView* view,
      GtkTextWindowType window_type
    )

#### Description [src]

Returns the `GtkSourceGutter` object associated with `window_type` for `view`.

Only `GTK_TEXT_WINDOW_LEFT` and `GTK_TEXT_WINDOW_RIGHT` are supported, respectively corresponding to the left and right gutter. The line numbers and mark category icons are rendered in the left gutter.

#### Parameters

`window_type`

  Type: `GtkTextWindowType`

  The gutter window type.

#### Return value

Type: `GtkSourceGutter`

The `GtkSourceGutter`.

The returned data is owned by the instance.